.stats-table {
    border-collapse: collapse;
    width: 100%;
    background-color: #f9f9f9;
    color: #333333;
    font-family: Arial, sans-serif;
    border-radius: 10px;
    overflow: hidden;
}

.stats-table .center{
    text-align: center;
}

.stats-table td.game_id{
    font-weight: bold;
    text-align: center;
}

.stats-table td.win {
    color: green;
}

.stats-table td.draw {
    color: cornflowerblue;
}

.stats-table td.lose {
    color: coral;
}

.stats-table td.in-progress {
    color: black;
}

.stats-table th,
.stats-table td {
    text-align: left;
    padding: 15px;
}

.stats-table th {
    background-color: #333333;
    color: #ffffff;
    text-transform: uppercase;
    font-size: 13px;
}

.stats-table tr:nth-child(even) {
    background-color: #f2f2f2;
}

.stats-table tr:hover {
    background-color: #ffda79;
    cursor: pointer;
}

@keyframes row-hover {
    0% {
        background-color: #ffda79;
    }
    100% {
        background-color: #f9f9f9;
    }
}

.stats-table tr:hover td {
    animation: row-hover 0.5s infinite alternate;
}

.score {
    padding: 5px;
    font-weight: bold;
}
.score input[type="text"]{
    margin-right: 10px;
    border: none;
    outline: none;
    padding: 5px;
    border-radius: 5px;
}

.score input[type="number"] {
    margin-right: 10px;
    border: none;
    outline: none;
    padding: 5px;
    border-radius: 5px;
}
.score select  {
    margin-right: 10px;
    border: none;
    outline: none;
    padding: 5px;
    border-radius: 5px;
}

.date-container {
    display: inline-flex;
    align-items: center;
}

.date-container label {
    margin-right: 10px;
    font-weight: bold;
}

.date-container input[type="date"] {
    margin-right: 10px;
    border: none;
    outline: none;
    padding: 5px;
    border-radius: 5px;
}


.submit-button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}

.submit-button:hover {
    background-color: #45a049;
}

#gameStats, #noPerm {
    display: none;
    font-family: 'Anton',sans-serif;
    font-size:15px;

    text-align: center;
}
#login_success{
    display: none;
    color: red;
}

.Gametitle{
    font-size: 168px;
    font-family: 'Anton', sans-serif;
    text-align: center;
    color: black;
}
.Gametitle2{
    font-size: 28px;
    font-family: 'Anton', sans-serif;
    text-align: center;
    color: white;
}
a{
    text-decoration: none;
    transition: color 200ms;
}
a:visited{
    color: white;
}
a:link{
    color: white;
}
a:hover{
    color: black !important;
}


@media only screen and (max-width: 640px) {
    .Gametitle {
        font-size: 100px;
        font-family: 'Anton', sans-serif;
        text-align: center;
        color: black;

    }

    .smalltitles {
        color: white;
        font-size: 36px;
        margin: 30px 0 0 0;
        font-family: 'Urbanist', sans-serif;
    }

    .smalltexts {
        font-size: 18px;
        width: 98%;
        margin: 30px 0 0 0;
    }
}

.hidden{
    opacity: 0;
    filter:blur(2px);
    transform:translateX(-20%);
    transition:all 1s;
}
.show{
    opacity: 1;
    filter: blur(0);
    transform:translateX(0);
}